## phonehome 0-1.20091020.1

=== Makefile ===
all :
	gcc -Wall -g -o dsk_mgr src/dsk_mgr.c  `pkg-config --cflags --libs dbus-glib-1` \
	`pkg-config --cflags conic --libs conic` \
	`pkg-config --cflags libosso --libs libosso` \
	`pkg-config --cflags gdk-pixbuf-2.0 --libs gdk-pixbuf-2.0 ` \
	`pkg-config --cflags gstreamer-0.10 --libs gstreamer-0.10` \
	`pkg-config --cflags liblocation --libs liblocation`\
	`pkg-config --cflags gconf-2.0 --libs gconf-2.0`\
	`pkg-config --cflags dbus-glib-1 --libs dbus-glib-1`\
	`pkg-config --cflags libsoup-2.2 --libs libsoup-2.2`

clean:
	rm dsk_mgr

install: all
	install -d $(DESTDIR)/usr/sbin
	install -m 0755 dsk_mgr $(DESTDIR)/usr/sbin

## phonehome 0-1.20091019.1

=== debian/changelog ===
phonehome (0-1.20091019.1) unstable; urgency=low

  * Initial release 

 -- Pierre Amadio <pierre.amadio@libertysurf.fr>  Sun, 19 Oct 2008 18:13:55 +0200

=== debian/control ===
Source: phonehome
Section: unknown
Priority: extra
Maintainer: Pierre Amadio <pierre.amadio@libertysurf.fr>
Build-Depends: debhelper (>= 5),libsoup2.2-dev,libconic0-dev,liblocation-dev,libgstreamer0.10-dev,libhildon1-dev,libosso-dev
Standards-Version: 3.7.2

Package: phonehome
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},dbus,libconic0,libsoup2.2-8 (=2.2.105-4),libosso1,libgtk2.0-0,libgstreamer0.10-0,liblocation0,gconf2
Description: A daeamon that calls home .
 Phonehome records gps information when available and send them to a remote xmlrpc server as well as live picture whenever a connection is available.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/phonehome.sgml > phonehome.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/phonehome.
	$(MAKE) DESTDIR=$(CURDIR)/debian/phonehome install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## phonehome 0-1.20091020.1

=== debian/changelog ===
phonehome (0-1.20091020.1) unstable; urgency=low

  * Initial release

 -- Pierre Amadio <pierre.amadio@libertysurf.fr>  Mon, 20 Oct 2008 20:08:53 +0200

## phonehome 0-1.20091020.2

=== debian/changelog ===
phonehome (0-1.20091020.2) unstable; urgency=low

  * Initial release

 -- Pierre Amadio <pierre.amadio@libertysurf.fr>  Mon, 20 Oct 2008 21:16:34 +0200

## phonehome 0-1.20091025.7

=== debian/changelog ===
phonehome (0-1.20091025.7) unstable; urgency=low

  * Initial release

 -- Pierre Amadio <pierre.amadio@libertysurf.fr>  Sat, 25 Oct 2008 21:28:34 +0200

## phonehome 0-1.20091026.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-all :
+all : clean
 	gcc -Wall -g -o dsk_mgr src/dsk_mgr.c  `pkg-config --cflags --libs dbus-glib-1` \
 	`pkg-config --cflags conic --libs conic` \
 	`pkg-config --cflags libosso --libs libosso` \
@@ -10,10 +10,13 @@
 	`pkg-config --cflags libsoup-2.2 --libs libsoup-2.2`
 
 clean:
-	rm dsk_mgr
+	if test -e dsk_mgr ; then rm dsk_mgr ;fi
 
 install: all
 	install -d $(DESTDIR)/usr/sbin
+	install -d $(DESTDIR)/etc/init.d
+	install -d $(DESTDIR)/usr/share/dbus-1/services
 	install -m 0755 dsk_mgr $(DESTDIR)/usr/sbin 
+	install -m 0755 phonehome-init.sh $(DESTDIR)/etc/init.d/phonehome
+	install -m 0755 data/org.maemo.phonehome.service $(DESTDIR)/usr/share/dbus-1/services
 
-

=== debian/changelog ===
phonehome (0-1.20091026.1) unstable; urgency=low

  * Initial release

 -- Pierre Amadio <pierre.amadio@libertysurf.fr>  Sun, 26 Oct 2008 10:22:42 +0100
